Subject: bug#53793: 29.0.50; 'fullscreen' frame parameter on pgtk

From: Stephen Berman <[email-masked]>
Date: Sun, 06 Feb 2022 15:02:13 +0100

On Sun, 06 Feb 2022 17:38:14 +0800 Po Lu via "Bug reports for GNU Emacs, the Swiss army knife of text editors" <[email-masked]> wrote:

> (When replying to bug reports in the future, please use "Reply to All",
> so that your messages can be recorded by the bug tracker.)
>
> Augusto Stoffel <[email-masked]> writes:
>
>> Yes, the frame parameter is correctly reported now, thanks!
>
> I'm closing this bug then, thanks.
>
>> It also seems that `move-frame-functions' are not run as promised.  Or
>> at least the following bit of configuration is still broken on pgtk but
>> works fine on X.
>
> If you're running Wayland, then it's a limitation of the Wayland
> protocol, which has no global coordinate system.  GTK exposes it as
> every Wayland window (surface) being placed at 0, 0.

This sounds similar to bug#52697, but I'm not running Wayland (I think;
how can I know for sure?).  Is there some way to programmatically get
the real screen coordinates in the PGTK build?

Steve Berman